Package org.apache.sling.cms.reference.forms.impl.providers

## Class RequestParametersValueProvider

- java.lang.Object
- - org.apache.sling.cms.reference.forms.impl.providers.RequestParametersValueProvider

All Implemented Interfaces:
  `FormValueProvider`

    public class RequestParametersValueProvider
    extends Object
    implements FormValueProvider

### Constructor Summary

Constructors
`RequestParametersValueProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `handles​(org.apache.sling.api.resource.Resource valueProviderResource)`
`void` `loadValues​(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.resource.Resource providerResource, Map<String,​Object> formData)` Populates the form values for a request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestParametersValueProvider

    public RequestParametersValueProvider()

### Method Detail

#### loadValues

    public void loadValues​(org.apache.sling.api.SlingHttpServletRequest request,
                           org.apache.sling.api.resource.Resource providerResource,
                           Map<String,​Object> formData)

Description copied from interface: `FormValueProvider`
Populates the form values for a request.

Specified by:
  `loadValues` in interface `FormValueProvider`
Parameters:
  `request` - the original request
  `providerResource` - the resource for configuring this provider
  `formData` - the map of data for the form

#### handles

    public boolean handles​(org.apache.sling.api.resource.Resource valueProviderResource)

Specified by:
  `handles` in interface `FormValueProvider`